<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="CATEGORY-LIST">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr class="pageContent">
			<td><b><span><xsl:value-of select="/ESHOP-PAGE/LOCALE/PRODUCT-CATEGORIES"/></span></b></td>
		</tr>
	</table>

	<div class="mod-form-hr" style="height: 1px; margin: 10px 0;"><span></span></div>
	<table cellspacing="0" cellpadding="0" border="0" style="width:100%;border-collapse:collapse;">
		<xsl:apply-templates select="ROW"/>
	</table>

</xsl:template>

<xsl:template match="ROW">
	<tr>
		<xsl:apply-templates select="CATEGORY"/>
		<xsl:apply-templates select="EMPTY-TD"/>
	</tr>
</xsl:template>

<xsl:template match="CATEGORY">
	<td>
		<xsl:attribute name="style"><xsl:if test="position()!=last()">padding-right: 10px;</xsl:if> padding-bottom: 10px;</xsl:attribute>
		<xsl:attribute name="width"><xsl:value-of select="ancestor::CATEGORY-LIST/@CATEGORY-BLOCK-WIDTH"/>%</xsl:attribute>
		<table cellpadding="0" cellspacing="0" style="border-collapse: collapse; width: 100%; height: 100%;" class="mod-category-body">
			<tr>
				<xsl:if test="IMAGE">
					<td style="width: 110px; height: 120px; padding: 5px;" align="center">
						<xsl:apply-templates select="IMAGE"/>
						<div style="width: 110px; height: 0px;"></div>
					</td>
				</xsl:if>
				<td width="100%">
					<table cellpadding="0" cellspacing="0" style="border-collapse: collapse; width: 100%; height: 100%;" class="mod-category-body">
						<tr>
							<td class="mod-category-header" style="padding: 5px; border-top: 0px;">
								<a>
									<xsl:attribute name="href">?<xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/>=productListPage&amp;category=<xsl:value-of select="@ID"/></xsl:attribute>
									<xsl:value-of select="@NAME"/>
								</a>
								(<xsl:value-of select="@ITEMS-NUMBER"/>)
							</td>
						</tr>
						<tr>
							<td style="height: 100%; padding: 10px;" valign="top"><span><xsl:apply-templates select="DESCRIPTION/*|DESCRIPTION/text()"/><br/></span></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
</xsl:template>

<xsl:template match="CATEGORY[@EMPTY=1]">
	<td>&#160;</td>
</xsl:template>

<xsl:template match="IMAGE">
	<img border="0">
		<xsl:attribute name="src"><xsl:value-of select="@SRC"/></xsl:attribute>
		<xsl:attribute name="width"><xsl:value-of select="@WIDTH"/></xsl:attribute>
		<xsl:attribute name="height"><xsl:value-of select="@HEIGHT"/></xsl:attribute>
	</img>
</xsl:template>

<xsl:template match="DESCRIPTION//@*|DESCRIPTION//comment()|DESCRIPTION//text()">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="DESCRIPTION//*">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="PRODUCT-LIST">

	<xsl:if test="CATEGORY">
	<table style="width:100%; margin-bottom:10px;" border="0" class="mod-item-body">
		<tr>
			<td style="padding: 5px 10px;">
				<xsl:apply-templates select="CATEGORY/DESCRIPTION"/>
			</td>
		</tr>
	</table>	
	</xsl:if>

	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr class="pageContent">
			<td><b><span><xsl:value-of select="/ESHOP-PAGE/LOCALE/PRODUCTS"/></span></b></td>
		</tr>
	</table>

	<div class="mod-form-hr" style="height: 1px; margin: 10px 0;"><span></span></div>

	<form name="productForm" method="post">
	
	<input type="hidden">
		<xsl:attribute name="name"><xsl:value-of select="/ESHOP-PAGE/@ACTION-VARIABLE"/></xsl:attribute>
	</input>
	<input type="hidden">
		<xsl:attribute name="name"><xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/></xsl:attribute>
	</input>
	<input type="hidden" name="productId" />

	<xsl:if test="PRODUCT">
	<table cellspacing="0" cellpadding="0" border="0" style="width:100%;border-collapse:collapse;">
	
		<xsl:apply-templates select="PRODUCT" mode="list"/>
	
	</table>
	</xsl:if>
	</form>
	
	<xsl:apply-templates select="PAGING"/>

</xsl:template>


<xsl:template match="SEARCH-FORM">
<form name="searchForm">

<input type="hidden" value="productListPage">
	<xsl:attribute name="name"><xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/></xsl:attribute>
</input>

<table cellpadding="0" cellspacing="0" border="0" width="100%" class="mod-search" style="margin: 10px 0;">
	<tr>
		<td align="left" style=" padding: 5px 10px;">
			<span><xsl:value-of select="@SEARCH-WORD"/></span>
			<input name="searchString" type="text" id="searchString" class="mod-input" style="width:205px;margin:0 10px;" >
				<xsl:attribute name="value"><xsl:value-of select="@CURRENT-SEARCH-STRING"/></xsl:attribute>
			</input>
			<span><xsl:value-of select="@IN-WORD"/></span>
			<select name="searchCategory" id="searchCategory" class="mod-input" style="margin:0 10px;">
				<xsl:apply-templates select="SEARCH-FORM-ITEM"/>
			</select>
			<input type="submit" name="search" class="mod-search-button" >	
				<xsl:attribute name="value"><xsl:value-of select="/ESHOP-PAGE/LOCALE/SEARCH"/></xsl:attribute>
			</input>
		</td>
	</tr>
</table>
</form>
</xsl:template>

<xsl:template match="SEARCH-FORM-ITEM">
	<option>
		<xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute>
		<xsl:if test="@SELECTED=1">
			<xsl:attribute name="selected">true</xsl:attribute>
		</xsl:if>
		<xsl:value-of select="@TITLE"/>
	</option>
</xsl:template>

<xsl:template match="PRODUCT" mode="list">
<tr>
	<td>
		<table cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom: 10px;">
			<tr valign="top">
				<xsl:if test="IMAGE">
					<td style="width: 110px; height: 120px; padding: 5px;" class="mod-item-body" align="center" valign="middle">
						<xsl:apply-templates select="IMAGE"/>
						<div style="width: 110px; height: 0px;"></div>
					</td>
				</xsl:if>
				<td class="mod-item-body" style="height: 100%;">
					<table cellpadding="0" cellspacing="0" border="0" width="100%" style="height: 100%;">
						<tr>
							<td class="mod-item-body-title"  style="padding: 5px;">
								<a>
									<xsl:attribute name="href">?<xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/>=productPage&amp;product=<xsl:value-of select="@ID"/></xsl:attribute>
									<b><xsl:value-of select="@NAME"/></b>
								</a>
							</td>
						</tr>
						<tr><td style="height: 100%; padding: 10px;" valign="top"><xsl:apply-templates select="DESCRIPTION/*|DESCRIPTION/text()"/></td></tr>
						<tr>
							<td style="padding: 10px;">
								<table cellpadding="0" cellspacing="0" border="0" width="100%">
									<tr>
										<td class="mod-item-body-title"><xsl:value-of select="../@PRICE-WORD"/>&#160; <b><xsl:value-of select="@PRICE"/></b></td>
										<td align="right">
											<xsl:call-template name="BUTTON">
												<xsl:with-param name="action">addProductToCart</xsl:with-param>
												<xsl:with-param name="actionVariable"><xsl:value-of select="/ESHOP-PAGE/@ACTION-VARIABLE"/></xsl:with-param>
												<xsl:with-param name="viewVariable"><xsl:value-of select="ancestor::*/@VIEW-VARIABLE"/></xsl:with-param>
												<xsl:with-param name="title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/ADD-TO-CART"/></xsl:with-param>
											</xsl:call-template>
											<xsl:call-template name="BUTTON">
												<xsl:with-param name="action">addProductToCart</xsl:with-param>
												<xsl:with-param name="actionVariable"><xsl:value-of select="/ESHOP-PAGE/@ACTION-VARIABLE"/></xsl:with-param>
												<xsl:with-param name="view">cartPage</xsl:with-param>
												<xsl:with-param name="viewVariable"><xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/></xsl:with-param>
												<xsl:with-param name="title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/BUY"/></xsl:with-param>
											</xsl:call-template>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
</tr>
</xsl:template>

<xsl:template name="BUTTON">
<xsl:param name="actionVariable"/>
<xsl:param name="viewVariable"/>
<xsl:param name="action"/>
<xsl:param name="view"/>
<xsl:param name="title"/>
<input class="mod-form-button" style="margin-left:10px;" value="{$title}" type="submit">
	<xsl:attribute name="onclick">document.forms['productForm'].<xsl:value-of select="$actionVariable"/>.value='<xsl:value-of select="$action"/>';document.forms['productForm'].<xsl:value-of select="$viewVariable"/>.value='<xsl:value-of select="$view"/>';document.forms['productForm'].productId.value='<xsl:value-of select="@ID"/>';return true;</xsl:attribute>
</input>
</xsl:template>

</xsl:stylesheet>