<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="NOTIFICATION">
<br/>
<br/>
<xsl:apply-templates select="CART-SUMMARY"/>
<br/>
<br/>
<b><xsl:value-of select="/NOTIFICATION/LOCALE/CONTACT-INFORMATION"/>:</b>
<br/>
<xsl:apply-templates select="CONTACT-INFORMATION-SUMMARY"/>
<br/>
<br/>
<b><xsl:value-of select="/NOTIFICATION/LOCALE/PAYMENT-INFORMATION"/>:</b>
<br/>
<xsl:apply-templates select="PAYMENT-SYSTEM-SUMMARY"/>
<br/>
<br/>
</xsl:template>

<xsl:template match="CART-SUMMARY">
<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td><xsl:value-of select="/NOTIFICATION/LOCALE/PRODUCT"/></td>
			<td><xsl:value-of select="/NOTIFICATION/LOCALE/QUANTITY"/></td>
			<td align="right"><xsl:value-of select="/NOTIFICATION/LOCALE/PRICE"/></td>
		</tr>
		<xsl:apply-templates select="CART-ITEM" mode="summary"/>
		<tr>
			<td colspan="3" align="right">
				<xsl:value-of select="/NOTIFICATION/LOCALE/TOTAL"/>:&#160;<xsl:value-of select="@TOTAL"/>
			</td>
		</tr>
	
</table>
</xsl:template>

<xsl:template match="CART-ITEM" mode="summary">
<tr>
	<td><xsl:value-of select="@NAME"/></td>
	<td><xsl:value-of select="@QUANTITY"/></td>
	<td align="right"><xsl:value-of select="@PRICE"/></td>
</tr>
</xsl:template>


<xsl:template match="CONTACT-INFORMATION-SUMMARY">
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td style="padding: 5px 10px;">
			<xsl:value-of select="DATA/@FIRST-NAME"/>&#160;<xsl:value-of select="DATA/@LAST-NAME"/>,
			<br />
			<xsl:value-of select="DATA/@ADDRESS1"/> <xsl:value-of select="DATA/@ADDRESS2"/>
			<br />
			<xsl:value-of select="DATA/@CITY"/> <xsl:value-of select="DATA/@STATE"/>
			<br />
			<xsl:value-of select="DATA/@COUNTRY"/> <xsl:value-of select="DATA/@ZIP"/>
		</td>
	</tr>
</table>
</xsl:template>

<xsl:template match="PAYMENT-SYSTEM-SUMMARY">
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td style="padding: 5px 10px;">
			<xsl:value-of select="/NOTIFICATION/LOCALE/PAYMENT-METHOD"/>: <xsl:value-of select="@NAME"/>
		</td>
	</tr>
</table>
</xsl:template>

</xsl:stylesheet>