<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="ESHOP-PAGE">

<xsl:call-template name="MODULE-CSS"/>

<div style="height: 10px;"><span></span></div>

<xsl:apply-templates select="CART-SUMMARY"/>

<div style="height: 10px;"><span></span></div>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td width="50%" style="padding-right: 5px; height: 100%;">

			<xsl:apply-templates select="CONTACT-INFORMATION-SUMMARY"/>

		</td>
		<td width="50%" style="padding-left: 5px; height: 100%;" valign="top">

			<xsl:apply-templates select="PAYMENT-SYSTEM-SUMMARY"/>

		</td>
	</tr>
</table>
<div style="height: 10px;"><span></span></div>

<table border="0" cellpadding="0" cellspacing="0" width="100%">		
	<tr>
		<td align="right">
			<xsl:call-template name="SUMMARY-BUTTON">
				<xsl:with-param name="view">orderInfoPage</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/BACK"/></xsl:with-param>						
			</xsl:call-template>
			<xsl:call-template name="SUMMARY-BUTTON">
				<xsl:with-param name="action">checkout</xsl:with-param>
				<xsl:with-param name="view">finishPage</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/CONTINUE"/></xsl:with-param>						
			</xsl:call-template>
		</td>
	</tr>
</table>
</xsl:template>

<xsl:template name="SUMMARY-BUTTON">
<xsl:param name="title"/>
<xsl:param name="view"/>
<xsl:param name="action"/>
<input class="mod-button" style="margin-left:10px;" value="{$title}" type="button">
	<xsl:attribute name="onclick">document.location.href= "?<xsl:value-of select="@ACTION-VARIABLE"/>=<xsl:value-of select="$action"/>&amp;<xsl:value-of select="@VIEW-VARIABLE"/>=<xsl:value-of select="$view"/>";return false;</xsl:attribute>
</input>
</xsl:template>

<xsl:template match="CART-SUMMARY">
<table cellpadding="0" cellspacing="0" border="0" width="100%" style="border-collapse: collapse;">
		<tr>
			<td width="60%" style="padding: 5px 10px;" class="mod-item-header"><b><xsl:value-of select="/ESHOP-PAGE/LOCALE/PRODUCT"/></b></td>
			<td width="20%" style="padding: 5px 10px;" class="mod-item-header"><b><xsl:value-of select="/ESHOP-PAGE/LOCALE/QUANTITY"/></b></td>
			<td width="20%" align="right" style="padding: 5px 10px;" class="mod-item-header"><b><xsl:value-of select="/ESHOP-PAGE/LOCALE/PRICE"/></b></td>
		</tr>
		<xsl:apply-templates select="CART-ITEM" mode="summary"/>
		<tr>
			<td style="padding: 5px 10px; border-right-width: 0px;" class="mod-info-footer">
				<a class="mod-info-footer-a">
					<xsl:attribute name="href">?<xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/>=cartPage</xsl:attribute>
					<xsl:value-of select="/ESHOP-PAGE/LOCALE/EDIT-CART-LINK"/>
				</a>
			</td>
			<td colspan="2" style="padding: 5px 10px; border-left-width: 0px;" class="mod-item-footer" align="right">
				<b><xsl:value-of select="/ESHOP-PAGE/LOCALE/TOTAL"/>:&#160;<xsl:value-of select="@TOTAL"/></b>
			</td>
		</tr>
	
</table>
</xsl:template>

<xsl:template match="CART-ITEM" mode="summary">
<tr>
	<td style="padding: 5px 10px;" class="mod-item-body"><xsl:value-of select="@NAME"/></td>
	<td style="padding: 5px 10px;" class="mod-item-body"><xsl:value-of select="@QUANTITY"/></td>
	<td align="right" style="padding: 5px 10px;" class="mod-item-body"><xsl:value-of select="@PRICE"/></td>
</tr>
</xsl:template>

</xsl:stylesheet>