<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="ESHOP-PAGE">

	<xsl:call-template name="MODULE-CSS"/>
	
	<div class="mod-form-hr" style="height: 1px; margin: 10px 0;"><span></span></div>

	<form name="productForm" method="post">
	
	<input type="hidden">
		<xsl:attribute name="name"><xsl:value-of select="/ESHOP-PAGE/@ACTION-VARIABLE"/></xsl:attribute>
	</input>
	<input type="hidden">
		<xsl:attribute name="name"><xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/></xsl:attribute>
	</input>
	<input type="hidden" name="productId" />
		
	<table cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom: 10px;">
		<tr valign="top">
			<td style="width: 110px; height: 120px; padding: 5px;" class="mod-item-body" align="center" valign="middle">
				<xsl:apply-templates select="IMAGE"/>
				<div style="width: 110px; height: 0px;"></div>
			</td>
			<td class="mod-item-body" style="height: 100%;">
				<table cellpadding="0" cellspacing="0" border="0" width="100%" style="height: 100%;">
					<tr><td style="height: 100%; padding: 10px;" valign="top"><xsl:apply-templates select="DESCRIPTION/*|DESCRIPTION/text()"/></td></tr>
					<tr>
						<td style="padding: 10px;">
							<table cellpadding="0" cellspacing="0" border="0" width="100%">
								<tr>
									<td class="mod-item-body-title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/PRICE"/>&#160; <b><xsl:value-of select="@PRICE"/></b></td>
									<td align="right">
										<xsl:call-template name="BUTTON">
											<xsl:with-param name="action">addProductToCart</xsl:with-param>
											<xsl:with-param name="actionVariable"><xsl:value-of select="@ACTION-VARIABLE"/></xsl:with-param>
											<xsl:with-param name="viewVariable"><xsl:value-of select="@VIEW-VARIABLE"/></xsl:with-param>
											<xsl:with-param name="title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/ADD-TO-CART"/></xsl:with-param>
										</xsl:call-template>
										<xsl:call-template name="BUTTON">
											<xsl:with-param name="action">addProductToCart</xsl:with-param>
											<xsl:with-param name="actionVariable"><xsl:value-of select="@ACTION-VARIABLE"/></xsl:with-param>
											<xsl:with-param name="view">cartPage</xsl:with-param>
											<xsl:with-param name="viewVariable"><xsl:value-of select="@VIEW-VARIABLE"/></xsl:with-param>
											<xsl:with-param name="title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/BUY"/></xsl:with-param>
										</xsl:call-template>

									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	</form>
</xsl:template>

<xsl:template name="BUTTON">
<xsl:param name="actionVariable"/>
<xsl:param name="viewVariable"/>
<xsl:param name="action"/>
<xsl:param name="view"/>
<xsl:param name="title"/>
<input class="mod-form-button" style="margin-left:10px;" value="{$title}" type="submit">
	<xsl:attribute name="onclick">document.forms['productForm'].<xsl:value-of select="$actionVariable"/>.value='<xsl:value-of select="$action"/>';document.forms['productForm'].<xsl:value-of select="$viewVariable"/>.value='<xsl:value-of select="$view"/>';document.forms['productForm'].productId.value='<xsl:value-of select="@ID"/>';return true;</xsl:attribute>
</input>
</xsl:template>


<xsl:template match="IMAGE">
	<img border="0">
		<xsl:attribute name="src"><xsl:value-of select="@SRC"/></xsl:attribute>
		<xsl:attribute name="width"><xsl:value-of select="@WIDTH"/></xsl:attribute>
		<xsl:attribute name="height"><xsl:value-of select="@HEIGHT"/></xsl:attribute>
	</img>
</xsl:template>

<xsl:template match="DESCRIPTION//@*|DESCRIPTION//comment()|DESCRIPTION//text()">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="DESCRIPTION//*">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>


</xsl:stylesheet>