<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="CATEGORY-FORM">
	</xsl:template>	
	
	<xsl:template match="CATEGORY-FORM" mode="initAfterBody">
		<xsl:call-template name="MODULE-MODAL-FORM" />
	</xsl:template>	
		
	<xsl:template match="MAIN-CARD">
		<input type="hidden" name="id">
			<xsl:attribute name="value"><xsl:value-of select="@CATEGORY-ID"/></xsl:attribute>
		</input>		
		<table border="0" style="width:100%;" class="SB_Page">
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='name']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>		
		</table>			
	</xsl:template>	
	
	<xsl:template match="IMAGE-CARD">
		<fieldset>
			<legend><span style="color:Black;font-family:Arial;font-size:11px;"><xsl:value-of select="/*/LOCALE/PREVIEW"/></span></legend>
			<table cellspacing="0" cellpadding="0" border="0" style="border-width:0px;width:100%;border-collapse:collapse;width: 100%;">
<!--				<tr>
					<td colspan="3">
					</td>
				</tr>
-->				<tr>
					<td colspan="2" style="width:100%;">
						<xsl:choose>
							<xsl:when test="@IMAGE-FILE-PATH!=''">
								<img border="0">
									<xsl:attribute name="src"><xsl:value-of select="@IMAGE-FILE-PATH"/></xsl:attribute>
								</img>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="NO-IMAGE" />
							</xsl:otherwise>
						</xsl:choose>
						<input type="hidden" name="image">
							<xsl:attribute name="value"><xsl:value-of select="@IMAGE-FILE-PATH"/></xsl:attribute>
						</input>
					</td>
					<td align="right" valign="bottom">
						<xsl:if test="@IMAGE-FILE-PATH!=''">
							<xsl:call-template name="BUTTON-CONTROL">
								<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/DELETE"/></xsl:with-param>
								<xsl:with-param name="action">setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Image/Delete");wizardFormSubmit();</xsl:with-param>
								<xsl:with-param name="icon">delete.png</xsl:with-param>
							</xsl:call-template>
						</xsl:if>
					</td>
				</tr>
				<tr valign="bottom">
					<td style="width:20%;">
						<span style="color:Black;font-family:Arial;font-size:11px;font-weight:bold;">
							<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NEW-IMAGE"/>
						</span>
					</td>
					<td align="right" style="width:80%;padding-right:10px;">
						<input type="file" name="image" style="color:Black;border-color:#999EA1;border-width:1px;border-style:Solid;font-family:Arial;font-size:11px;" />
					</td>
					<td align="right">&#160;
						<xsl:call-template name="BUTTON-CONTROL">
							<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/UPLOAD"/></xsl:with-param>
							<xsl:with-param name="action">setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Image/Upload");wizardFormSubmit();</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
			</table>	
		</fieldset>
	</xsl:template>	
	
	<xsl:template match="DESCRIPTION-CARD">
		<table width="100%" border="0">
			<tr>
				<td>
					<xsl:apply-templates select="WYSIWYG" />
				</td>
			</tr>
		</table>
	</xsl:template>	
	
	<xsl:template name="NO-IMAGE">
		<table style="width: 100px; height: 110px; background-color: #A4A4A4;">
			<tr>
				<td valign="middle" align="center">
					<span style="vertical-align: middle; color: #FFFFFF;"><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NO-IMAGE"/></b></span>
				</td>
			</tr>
		</table>
	</xsl:template>	
	
	<xsl:template match="POSITION">
		<option >
			<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
			<xsl:if test="@SELECTED=1">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="@VALUE"/>
		</option>
	</xsl:template>	
	
</xsl:stylesheet>	