<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="CATEGORIES">
		
		<xsl:apply-templates select="TOOLBAR" />
		<xsl:apply-templates select="PAGED-LIST" />

		<script language="javascript">	
			function deleteCategories() {
				count = category_countSelectedCheckBoxes();
				if (count > 0) {
					if (confirm(count + ' <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SURE-TO-DELETE"/>')) {
						var form = document.forms['SB_WizardForm'];
						form.tab.value = 'categories';
						form.action = '<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Delete';
						
						top.sbApplyChangesObject.registerForcedSaving(); 
						sbNavigationObject.go();
					}
				}
				else {
					alert('<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-FOR-DELETE"/>');
				}
			}
			function category_countSelectedCheckBoxes() {
				result = 0;
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='objectIds[]') {
						if (form.elements[n].checked) {
							++result;
						}
					}
				}
				return result;
			}	
			function category_setCheckboxStatus(status) {
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='objectIds[]') {
						if (!form.elements[n].disabled) {
							form.elements[n].checked = status;
						}
					}
				}
			}
		</script>

		
	</xsl:template>

	<xsl:template match="CATEGORIES/TOOLBAR/TOOLBAR-ITEM[1]/@ACTION">
		<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="."/>');</xsl:attribute>
	</xsl:template>	

	<xsl:template match="CATEGORIES/PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height:24px;white-space:nowrap;">	
			<th style="width:1%;">&#35;</th>
			<th style="width:1%; padding-left: 4px; padding-right: 4px;"><xsl:value-of select="PICTURE"/></th>
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="NAME"/></th>
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="NUMBER-OF-PRODUCTS"/></th>


			<th style="width:1%;"/>
			<th style="width:1%;"/>
			
			<th style="width:1%;text-align:center; padding-left: 4px; padding-right: 4px;" scope="col">
				<xsl:value-of select="EDIT"/>
			</th>
			
			<th style="width:1%;text-align:center">
				<input type="checkbox" name="globalCheck" onclick="category_setCheckboxStatus(this.checked);"/>
			</th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="CATEGORIES/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height:24px;">
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="POSITION"/></xsl:with-param>
			</xsl:call-template>

			<xsl:choose>
				<xsl:when test="not(IMAGE='')">
					<td>
						<a>
							<xsl:attribute name="href">#</xsl:attribute>
							<xsl:attribute name="onclick">window.open('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Image?file=<xsl:value-of select="IMAGE/ITEM-0/FILE-NAME"/>', 'imagepreview', 'width=<xsl:value-of select="IMAGE//ITEM-0/WIDTH+17"/>, height=<xsl:value-of select="IMAGE/ITEM-0/HEIGHT+17"/>, resizable=yes, tolbar=no, status=yes, scrollbars=yes');return false;</xsl:attribute>
							<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/prew.png"/>
						</a>
					</td>					
				</xsl:when>
				<xsl:otherwise>
					<td></td>
				</xsl:otherwise>
			</xsl:choose>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="ITEMS-COUNT"/></xsl:with-param>
			</xsl:call-template>

			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<xsl:if test="not(IS-FIRST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving(); setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Up?id=<xsl:value-of select="ID"/>');sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
					</a>
				</xsl:if>
			</td>

			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<xsl:if test="not(IS-LAST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving(); setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Down?id=<xsl:value-of select="ID"/>');sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
					</a>
				</xsl:if>
			</td>

			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Eshop/Category/Edit?id=<xsl:value-of select="ID"/></xsl:attribute>
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
			
			<td class="SB_GridText" style="width:1%;text-align:center;">
				<input type="checkbox" name="objectIds[]">
					<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
				</input>
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>