<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="ORDERS">
		<script language="javascript">	
			function deleteOrders() {
				count = order_countSelectedCheckBoxes();
				if (count > 0) {
					if (confirm(count + ' <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SURE-TO-DELETE"/>')) {
						document.forms['SB_WizardForm'].action = '<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Order/Delete';

						top.sbApplyChangesObject.registerForcedSaving(); 
						sbNavigationObject.go();
					}
				}
				else {
					alert('<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-FOR-DELETE"/>');
				}
			}
			function order_countSelectedCheckBoxes() {
				result = 0;
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='order_objectIds[]') {
						if (form.elements[n].checked) {
							++result;
						}
					}
				}
				return result;
			}	
			function order_setCheckboxStatus(status) {
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='order_objectIds[]') {
						if (!form.elements[n].disabled) {
							form.elements[n].checked = status;
						}
					}
				}
			}
		</script>
		
		<xsl:apply-templates select="TOOLBAR" />
		<xsl:apply-templates select="PAGED-LIST"/>
	</xsl:template>

	<xsl:template match="ORDERS/PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height:24px;white-space:nowrap;">	
		
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="tab">orders</xsl:with-param>
				<xsl:with-param name="field">id</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="ID"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="tab">orders</xsl:with-param>
				<xsl:with-param name="field">creation_date</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="CREATED"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
						
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="tab">orders</xsl:with-param>
				<xsl:with-param name="field">last_updated_date</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="LAST-UPDATED"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="tab">orders</xsl:with-param>
				<xsl:with-param name="field">status</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="STATUS"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="tab">orders</xsl:with-param>
				<xsl:with-param name="field">currency</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="CURRENCY"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
						
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="tab">orders</xsl:with-param>
				<xsl:with-param name="field">total</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="COST"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
			
			<th style="width:1%;text-align:center; padding-left: 4px; padding-right: 4px;" scope="col">
				<xsl:value-of select="EDIT"/>
			</th>
			
			<th style="width:1%;text-align:center">
				<input type="checkbox" name="globalCheck" onclick="order_setCheckboxStatus(this.checked);"/>
			</th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="ORDERS/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="currentCategory" select="../../TOOLBAR/LIST-VIEW-STATES/@SELECTED"/>
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height:24px;">
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="ID"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="CREATION-DATE"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="LAST-UPDATED-DATE"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="STATUS"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="CURRENCY"/></xsl:with-param>
			</xsl:call-template>
						
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="TOTAL"/></xsl:with-param>
			</xsl:call-template>
			
			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Eshop/Order/Edit?id=<xsl:value-of select="ID"/></xsl:attribute>
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
			
			<td class="SB_GridText" style="width:1%;text-align:center;">
				<input type="checkbox" name="order_objectIds[]">
					<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
				</input>
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>