<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="CURRENCY-FORM">
	</xsl:template>	

	<xsl:template match="CURRENCY-FORM" mode="content">
		<xsl:call-template name="FORM"/>
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

	<xsl:template match="CURRENCY-FORM" mode="initAfterBody">
		<xsl:call-template name="MODULE-MODAL-FORM" />
	</xsl:template>	
		
	
	<xsl:template name="FORM">
		<script>
			function validateForm() {
				return validateField('SB_Validator.notEmpty', 'decimalPoint', 'EMPTY-DECIMAL-POINT');
				
			}
		</script>
		<table border="0" style="width:100%; margin: 10px;">
			<tr>
				<td>
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CURRENCY-HINT"/>:
				</td>
			</tr>		
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='code']"  mode="TITLE-LEFT">
						<xsl:with-param name="onChange">changeCurrency(this);</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>		
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='symbolLeft']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='symbolRight']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>		
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='decimalPoint']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>		
		</table>
		<script>
			var symbolsLeft = new Array();
			var symbolsRight = new Array();
			<xsl:apply-templates select="CONTROL[@NAME='code']/CONTROL[@TYPE='COMBO-BOX-OPTION']" mode="symbolsLeft"/>
			<xsl:apply-templates select="CONTROL[@NAME='code']/CONTROL[@TYPE='COMBO-BOX-OPTION']" mode="symbolsRight"/>
			var selectedCurrency = document.forms[0].code.selectedIndex;
			function changeCurrency(select) {
				if (!confirm('<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/CHANGE-CURRENCY-INFO/text()"/>')) {
					document.forms[0].code.selectedIndex = selectedCurrency;
				} else {
					selectedCurrency = document.forms[0].code.selectedIndex;
					document.forms[0].symbolLeft.value = symbolsLeft[document.forms[0].code.value];
					document.forms[0].symbolRight.value = symbolsRight[document.forms[0].code.value];
				}
			}
		</script>		
	</xsl:template>	
	
	<xsl:template match="CONTROL" mode="symbolsLeft">
		<xsl:variable name="code"><xsl:value-of select="@VALUE"/></xsl:variable>
		symbolsLeft['<xsl:value-of select="@VALUE"/>'] = '<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/*[name()=concat('CURRENCY-LEFT-',$code)]/text()"/>'
	</xsl:template>	

	<xsl:template match="CONTROL" mode="symbolsRight">
		<xsl:variable name="code"><xsl:value-of select="@VALUE"/></xsl:variable>
		symbolsRight['<xsl:value-of select="@VALUE"/>'] = '<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/*[name()=concat('CURRENCY-RIGHT-',$code)]/text()"/>'
	</xsl:template>	
		
</xsl:stylesheet>	