<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="PAYMENT-SYSTEMS">
		<script language="javascript">	
			function activatePaymentSystems() {
				count = countSelectedCheckBoxes();
				if (count > 0) {
					if (confirm(count + ' <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SURE-TO-ACTIVATE"/>')) {
						document.forms['SB_WizardForm'].action = '<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Payment/Activate';

						top.sbApplyChangesObject.registerForcedSaving(); 
						sbNavigationObject.go();
					}
				}
				else {
					alert('<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-FOR-ACTIVATE"/>');
				}
			}
			function deactivatePaymentSystems() {
				count = countSelectedCheckBoxes();
				if (count > 0) {
					if (confirm(count + ' <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SURE-TO-DEACTIVATE"/>')) {

						top.sbApplyChangesObject.registerForcedSaving(); 
						setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Payment/Deactivate');
						sbNavigationObject.go();
					}
				}
				else {
					alert('<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-FOR-DEACTIVATE"/>');
				}
			}
			function countSelectedCheckBoxes() {
				result = 0;
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='payment_objectIds[]') {
						if (form.elements[n].checked) {
							++result;
						}
					}
				}
				return result;
			}	
			function setCheckboxStatus(status) {
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='payment_objectIds[]') {
						if (!form.elements[n].disabled) {
							form.elements[n].checked = status;
							if (form.elements[n].onchange != null) {
								alert('<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/SYSTEM-CAN-NOT-BE-ACTIVATED"/>');
								form.elements[n].checked=false;
							}
						}
					}
				}
			}
		</script>	
		<table border="0" style="width:100%;" class="SB_Page">
			<tr>
				<td style="width:30%;">
					<span><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CURRENCY-SELECTED"/></b></span>
				</td>
				<td style="width:70%;" ><xsl:value-of select="@CURRENCY"/></td>			
				<td style="width:70%;" >
					<xsl:call-template name="BUTTON-CONTROL">
						<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CHANGE-CURRENCY-SETTINGS"/></xsl:with-param>
						<xsl:with-param name="action">document.location.href="<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Payment/Currency";</xsl:with-param>
					</xsl:call-template>
				</td>			
			</tr>
		</table>
		
		<xsl:apply-templates select="PAGED-LIST" />
	</xsl:template>		
	
	<xsl:template match="PAYMENT-SYSTEMS/PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height:24px;white-space:nowrap;">	
			<th style="width:1%; padding-left: 4px; padding-right: 4px;"><xsl:value-of select="STATUS"/></th>
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="NAME"/></th>


			<th style="width:1%; padding-left: 4px; padding-right: 4px;"/>
			<th style="width:1%; padding-left: 4px; padding-right: 4px;"/>
			
			<th style="width:1%;text-align:center; padding-left: 4px; padding-right: 4px;" scope="col">
				<xsl:value-of select="EDIT"/>
			</th>
			
			<th style="width:1%;text-align:center">
				<input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked);"/>
			</th>
		</tr> 
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height:24px;">
		
			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">
			<xsl:choose>
				<xsl:when test="STATUS=1">
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/run.png"/>
				</xsl:when>
				<xsl:otherwise>
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/shutdown.png"/>
				</xsl:otherwise>
			</xsl:choose>
			</td>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
			</xsl:call-template>
		
			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<xsl:if test="not(IS-FIRST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Payment/Up?code=<xsl:value-of select="CODE"/>');sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
					</a>
				</xsl:if>
			</td>

			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<xsl:if test="not(IS-LAST=1)">
					<a>
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Payment/Down?code=<xsl:value-of select="CODE"/>');sbNavigationObject.go();</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
					</a>
				</xsl:if>
			</td>

			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<xsl:if test="CODE!='cashOnDelivery'">
					<a>
						<!--<xsl:attribute name="href"><xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Eshop/Payment/<xsl:value-of select="LINK"/></xsl:attribute>-->
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Eshop/Payment/<xsl:value-of select="LINK"/>');</xsl:attribute>
						<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/editsiteinwizard.png"/>
					</a>
				</xsl:if>
			</td>
			
			<td class="SB_GridText" style="width:1%;text-align:center;">
				<input type="checkbox" name="payment_objectIds[]">
					<xsl:if test="ACTIVATION-NOT-AVIALABLE=1"><xsl:attribute name="onchange">alert('<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/SYSTEM-CAN-NOT-BE-ACTIVATED"/>');this.checked=false;</xsl:attribute></xsl:if>
					<xsl:attribute name="value"><xsl:value-of select="CODE"/></xsl:attribute>
					<xsl:if test="CODE='cashOnDelivery'">
						<xsl:attribute name="disabled">true</xsl:attribute>
					</xsl:if>
				</input>
			</td>
		</tr>
	</xsl:template>	
	
</xsl:stylesheet>	