<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="PRODUCTS">
		<script language="javascript">	
			function deleteProducts() {
				count = product_countSelectedCheckBoxes();
				if (count > 0) {
					if (confirm(count + ' <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SURE-TO-DELETE"/>')) {
						document.forms['SB_WizardForm'].action = '<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Product/Delete';

						top.sbApplyChangesObject.registerForcedSaving(); 
						sbNavigationObject.go();
					}
				}
				else {
					alert('<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-FOR-DELETE"/>');
				}
			}
			function product_countSelectedCheckBoxes() {
				result = 0;
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='product_objectIds[]') {
						if (form.elements[n].checked) {
							++result;
						}
					}
				}
				return result;
			}	
			function product_setCheckboxStatus(status) {
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='product_objectIds[]') {
						if (!form.elements[n].disabled) {
							form.elements[n].checked = status;
						}
					}
				}
			}
		</script>
		
		<xsl:apply-templates select="TOOLBAR" />
		<xsl:apply-templates select="PAGED-LIST"/>
	</xsl:template>

	<xsl:template match="PRODUCTS/TOOLBAR/TOOLBAR-ITEM[1]/@ACTION">
		<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="."/>');</xsl:attribute>
	</xsl:template>	
		
	<xsl:template match="PRODUCTS/PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height:24px;white-space:nowrap;">	
			<xsl:if test="../../@IS-SEQUENCED=1">
				<th style="width:1%;">&#35;</th>
			</xsl:if>
			<th style="width:1%; padding-left: 4px; padding-right: 4px;"><xsl:value-of select="PICTURE"/></th>
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="NAME"/></th>
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="PRICE"/></th>


			<xsl:if test="../../@IS-SEQUENCED=1">
				<th style="width:1%;"/>
				<th style="width:1%;"/>
			</xsl:if>
			
			<th style="width:1%;text-align:center; padding-left: 4px; padding-right: 4px;" scope="col">
				<xsl:value-of select="EDIT"/>
			</th>
			
			<th style="width:1%;text-align:center">
				<input type="checkbox" name="globalCheck" onclick="product_setCheckboxStatus(this.checked);"/>
			</th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="PRODUCTS/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="currentCategory" select="../../TOOLBAR/LIST-VIEW-STATES/@SELECTED"/>
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height:24px;">
		
			<xsl:if test="../../@IS-SEQUENCED=1">
				<xsl:call-template name="LIST-ROW-ITEM">
					<xsl:with-param name="title"><xsl:value-of select="POSITION"/></xsl:with-param>
				</xsl:call-template>
			</xsl:if>

			<xsl:choose>
				<xsl:when test="not(IMAGE='')">
					<td>
						<a>
							<xsl:attribute name="href">#</xsl:attribute>
							<xsl:attribute name="onclick">window.open('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Image?file=<xsl:value-of select="IMAGE"/>', 'imagepreview', 'resizable=yes, tolbar=no, status=yes, scrollbars=yes');return false;</xsl:attribute>
							<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/prew.png"/>
						</a>
					</td>					
				</xsl:when>
				<xsl:otherwise>
					<td></td>
				</xsl:otherwise>
			</xsl:choose>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="PRICE"/></xsl:with-param>
			</xsl:call-template>

			<xsl:if test="../../@IS-SEQUENCED=1">
				<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
					<xsl:if test="not(IS-FIRST=1)">
						<a>
							<xsl:attribute name="href">#</xsl:attribute>
							<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Product/Up?id=<xsl:value-of select="ID"/>&amp;categoryId=<xsl:value-of select="$currentCategory"/>');sbNavigationObject.go();</xsl:attribute>
							<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
						</a>
					</xsl:if>
				</td>
	
				<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
					<xsl:if test="not(IS-LAST=1)">
						<a>
							<xsl:attribute name="href">#</xsl:attribute>
							<xsl:attribute name="onclick">top.sbApplyChangesObject.registerForcedSaving();setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Product/Down?id=<xsl:value-of select="ID"/>&amp;categoryId=<xsl:value-of select="$currentCategory"/>');sbNavigationObject.go();</xsl:attribute>
							<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
						</a>
					</xsl:if>
				</td>
			</xsl:if>

			<td class="SB_GridText" style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">			
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Eshop/Product/Edit?id=<xsl:value-of select="ID"/></xsl:attribute>
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
			
			<td class="SB_GridText" style="width:1%;text-align:center;">
				<input type="checkbox" name="product_objectIds[]">
					<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
				</input>
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>